export declare const DaysViewCell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    direction?: import("../Wrapper").WrapperDirection;
    alignItems?: import("../Wrapper").WrapperAlignItems;
    justifyContent?: import("../Wrapper").WrapperJustifyContent;
    fade?: boolean;
    fadeDelay?: number;
    isVisible?: boolean;
} & import("../..").CommonProps & import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme;
} & {
    isCalendarDateNow: boolean;
    isCalendarDateSelected: boolean;
    isCalendarFirstDateSelected?: boolean;
    isCalendarSecondDateSelected?: boolean;
    isHighlighted: boolean;
}, {}, {}>;
export declare const YearsViewCell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    isCalendarYear: boolean;
    isCalendarFirstDateSelected?: boolean;
    isCalendarSecondDateSelected?: boolean;
    isHighlighted: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const MonthsViewCell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    isCalendarFirstDateSelected?: boolean;
    isCalendarSecondDateSelected?: boolean;
    isHighlighted: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const TriggerWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & {
    direction?: import("../Wrapper").WrapperDirection;
    alignItems?: import("../Wrapper").WrapperAlignItems;
    justifyContent?: import("../Wrapper").WrapperJustifyContent;
    fade?: boolean;
    fadeDelay?: number;
    isVisible?: boolean;
} & import("../..").CommonProps & import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
